- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QXmlStreamStringRef Class Reference

Search for all occurrences

## Detailed Description

Definition at line 116 of file qxmlstream.h.

`#include <qxmlstream.h>`

List of all members.

## Public Member Functions
| QXmlStreamStringRef ()
| QXmlStreamStringRef (const QStringRef &aString)
| QXmlStreamStringRef (const QString &aString)
| ~QXmlStreamStringRef ()
void | clear ()
| operator QStringRef () const
const QString * | string () const
int | position () const
int | size () const

## Constructor & Destructor Documentation

QXmlStreamStringRef | ( |  | ) | `[inline]`

Definition at line 120 of file qxmlstream.h.

    :m_position(0), m_size(0){}

QXmlStreamStringRef | ( | const QStringRef & | aString | ) | `[inline]`

Definition at line 121 of file qxmlstream.h.

            :m_string(aString.string()?*aString.string():QString()), m_position(aString.position()), m_size(aString.size()){}

QXmlStreamStringRef | ( | const QString & | aString | ) | `[inline]`

Definition at line 123 of file qxmlstream.h.

    :m_string(aString), m_position(0), m_size(aString.size()){}

~QXmlStreamStringRef | ( |  | ) | `[inline]`

Definition at line 124 of file qxmlstream.h.

    {}

## Member Function Documentation

void clear | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 125 of file qxmlstream.h.

    { m_string.clear(); m_position = m_size = 0; }

operator QStringRef | ( |  | ) | const `[inline]`

Definition at line 126 of file qxmlstream.h.

    { return QStringRef(&m_string, m_position, m_size); }

const QString* string | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 127 of file qxmlstream.h.

    { return &m_string; }

int position | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 128 of file qxmlstream.h.

    { return m_position; }

int size | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 129 of file qxmlstream.h.

    { return m_size; }

The documentation for this class was generated from the following file:

- QtCore/qxmlstream.h

QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef
QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef QXmlStreamStringRef